Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000213 [Piwigo] navigation minor always 2005.11.17 20:57 2005.12.04 00:00
Reporter VDigital View Status public  
Assigned To chrisaga
Priority normal Resolution fixed Platform
Status closed   OS
Projection tweak   OS Version
ETA none Fixed in Version BSF branch (dev) Product Version 1.5.0
  Target Version Product Build
Summary 0000213: Pourquoi deux chemins différents de Connexion?
Description Je comprends que l'évolution...
Que pour ne pas perturber...

Mais alors que dire des 2 mots "Connexion" sur la page Category.tpl?
And indeed, it's the same in English as well, "Connection" appears twice on category.tpl result screen.

Je sens que Pierrick va avoir la bonne idée.
Ceci étant si ça n'est pas rectifié avec la 1.5.1, je... comprendrai.
8;-)

Vincent
Steps To Reproduce
Additional Information Text copy/paste:

Identification
Register
Connection
Connection
Username
Tags No tags attached.
browser any
Database engine and version
PHP version Any
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000221closedchrisaga Add a link to "lost password" in quick connect form 

-  Notes
(0000450)
chrisaga (developer)
2005.11.20 10:14

C'est vrai que l'on a conservé un lien sur la page d'identification qui fait double emploi avec le formulaire quickconnect présent juste en dessous.
Je ne suis pas contre supprimer le lien ...
(0000451)
chrisaga (developer)
2005.11.20 10:16

Pierrick, y a-t-il une bonne raison de conserver ce lien ?
(0000453)
plg (manager)
2005.11.20 11:05

> Pierrick, y a-t-il une bonne raison de conserver ce lien ?

Oui, sur la vraie pas d'identification il y a le lien vers la page de récupération du mot de passe perdu. C'est plutôt la boîte de connexion rapide qui devrait pouvoir "sauter". Je rappelle qu'il s'agit d'un MOD de la 1.3 intégré à partir de la 1.4.

D'ailleurs, il serait bien de rajouter un paramètre de configuration $conf['show_quickconnect'] par défaut à true. Sur ma galerie personnelle, j'aimerai virer cette boîte, juste par configuration :-)

La bonne solution selon moi, c'est de renommer la boîte en "connexion rapide" pour lever toute ambigüité. Vous en pensez quoi ?
(0000454)
chrisaga (developer)
2005.11.20 11:18

OK (sauf qu'on pourrait mettre un lien vers la page de récupération dans quickconnect :-P )

Je suis pour pouvoir conserver quickconnect parceque pas mal de mes utilisateurs occasionnels oublient qu'il existe une identification et que c'est comme ça qu'ils accèdent aux galeries "privées"

Donc ajouter un paramètre de configuration semble une bone idée. En attendant il y a une solution immédiate :
http://phpwebgallery.net/doc/doku.php?id=en:customization:branch_1.5 [^]
(0000455)
plg (manager)
2005.11.20 11:36

Merci pour la solution immédiate. Son inconvénient est qu'il faille la dupliquer pour chaque template, mais c'est pas la mort...

On est d'accord sur le "renommage" ou tu penses plus pertinent d'ajouter un lien vers la page de récupération du mot de passe ? Mon soucis, c'est de simplifier la page category.php qui contient déjà beaucoup d'informations.
(0000457)
chrisaga (developer)
2005.11.20 11:53

Les deux :
1) Si l'on veut garder le lien vers la page d'identification, il faut un renommage (traitement de ce bug).
2) Si les utilisateurs on l'habitude d'utiliser quickconnect, ça serait bien d'y mettre le lien pour la récupération du mot de passe car ils ne penseront peut-être pas à aller le chercher dans l'autre page (amélioration de la navigation donc en dehors du traitement de ce bug)

> Merci pour la solution immédiate. Son inconvénient est qu'il faille la dupliquer pour chaque template, mais c'est pas la mort...

Je commence à envisager de remonter une partie de ces customisation assez fondamentales au niveau d'un default_layout.css global au site qui pourrait être appelé par chaque template qui en aurait besoin.
Si en plus dans l'avenir on en génère tout ou partie depuis l'interface d'admin, on se rapproche d'un mécanisme suggéré par yoDan récemment sur le forum.
(0000458)
plg (manager)
2005.11.20 12:43

> Je commence à envisager de remonter une partie de ces
> customisation assez fondamentales au niveau d'un
> default_layout.css global au site qui pourrait être
> appelé par chaque template qui en aurait besoin.

Sur le principe, je suis tout à fait en faveur :-)

Oui, si tu veux bien ouvrir un topic sur le forum, ce sera plus pratique que le bugtracker pour en discuter.

- Issue History
Date Modified Username Field Change
2005.11.17 20:57 VDigital New Issue
2005.11.17 20:57 VDigital browser => any
2005.11.17 20:57 VDigital PHP version => Any
2005.11.17 20:57 VDigital Web server => Apache 1.3.x
2005.11.20 10:14 chrisaga Note Added: 0000450
2005.11.20 10:14 chrisaga Assigned To => chrisaga
2005.11.20 10:14 chrisaga Status new => acknowledged
2005.11.20 10:16 chrisaga Note Added: 0000451
2005.11.20 10:16 chrisaga Status acknowledged => feedback
2005.11.20 11:05 plg Note Added: 0000453
2005.11.20 11:18 chrisaga Note Added: 0000454
2005.11.20 11:36 plg Note Added: 0000455
2005.11.20 11:53 chrisaga Note Added: 0000457
2005.11.20 12:43 plg Note Added: 0000458
2005.11.20 21:53 chrisaga Status feedback => resolved
2005.11.20 21:53 chrisaga Resolution open => fixed
2005.11.20 21:53 chrisaga Projection none => tweak
2005.11.20 21:53 chrisaga Fixed in Version => BSF branch (dev)
2005.11.20 21:58 chrisaga Relationship added related to 0000221
2005.12.04 00:00 chrisaga Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker